# View a public dashboard snapshot

> Source: https://elaichi.ai/docs/api-reference/dashboards/public/getpublicdashboard/

`GET /public/dashboard/{token}`

Resource: **Public** · API: **Dashboards**

## Path parameters

- **`token`** _(string, required)_
  The unguessable link token

## Query parameters

- **`page`** _(string)_
- **`fields`** _(string)_
  Allowed: `meta`

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/public/dashboard/<token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/public/dashboard/<token>', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/public/dashboard/<token>"
headers = {
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
